org.apache.hadoop.mapreduce.v2.hs

## Class HistoryServerStateStoreService.HistoryServerState

- java.lang.Object
- - org.apache.hadoop.mapreduce.v2.hs.HistoryServerStateStoreService.HistoryServerState

- Enclosing class:
    HistoryServerStateStoreService

      public static class HistoryServerStateStoreService.HistoryServerState
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HistoryServerState()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<org.apache.hadoop.security.token.delegation.DelegationKey>` | `getTokenMasterKeyState()`
    `Map<org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier,Long>` | `getTokenState()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HistoryServerState

          public HistoryServerState()

  - ### Method Detail

    - #### getTokenState

          public Map<org.apache.hadoop.mapreduce.v2.api.MRDelegationTokenIdentifier,Long> getTokenState()

    - #### getTokenMasterKeyState

          public Set<org.apache.hadoop.security.token.delegation.DelegationKey> getTokenMasterKeyState()

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.